summaryrefslogtreecommitdiffstats
path: root/libreoffice
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2011-03-02 22:54:23 +0000
committer Eric Hameleers <alien@slackware.com>2011-03-02 22:54:23 +0000
commit848ebfe44c20943ac1c79583cc44b5e29284842f (patch)
tree1678182c7b9fe4e454e3f891cd86fa306e424bee /libreoffice
parentd9880a5375c806e35b8e7a02e836e8e6e74ed4c7 (diff)
downloadasb-848ebfe44c20943ac1c79583cc44b5e29284842f.tar.gz
asb-848ebfe44c20943ac1c79583cc44b5e29284842f.tar.xz
Use the new libreoffice icons. Add italian dictionary
Diffstat (limited to 'libreoffice')
-rwxr-xr-xlibreoffice/build/libreoffice36.SlackBuild18
1 files changed, 17 insertions, 1 deletions
diff --git a/libreoffice/build/libreoffice36.SlackBuild b/libreoffice/build/libreoffice36.SlackBuild
index 705c6ee0..bfd1975e 100755
--- a/libreoffice/build/libreoffice36.SlackBuild
+++ b/libreoffice/build/libreoffice36.SlackBuild
@@ -70,6 +70,9 @@
# * Update to new release 3.3.1, added more language packs.
# Also this time, really add the dictionaries for some of the
# major world languages.
+# 3.3.X-X: XX/XXX/2011 by Eric Hameleers <alien@slackware.com>
+# * Use new LibreOffice menu icons instead of the old OOo versions.
+# Add italian dictionary (request).
#
# Run 'sh libreoffice.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -448,6 +451,8 @@ SOURCE[113]="$SRCDIR/sources/dict-fr.oxt"
SRCURL[113]="http://extensions.services.openoffice.org/e-files/3554/3/ooo-dictionnaire-fr-moderne-v4.0.oxt"
SOURCE[114]="$SRCDIR/sources/dict-nl.oxt"
SRCURL[114]="http://extensions.services.openoffice.org/e-files/1456/6/nl-dict-v2.00g.oxt"
+SOURCE[115]="$SRCDIR/sources/dict-it.oxt"
+SRCURL[115]="http://extensions.services.openoffice.org/e-files/1064/0/dict-it-IT_and_Latin_2010-08-23.oxt"
# Use the src_checkout() function if no downloadable tarball exists.
@@ -851,7 +856,18 @@ if [ ! -z "${ADD_LANGUAGES}" ]; then
done
fi # End of splitting out language packs
-# Fix the desktop entries if required (3.3.0.3 needs this):
+# Add the new icons and tell the menu entries to use those instead of ooo-* :
+find $PKG/usr/share/icons -name "ooo-*" -exec rm -f {} \; || true
+( cd build/${PRGNAM}-${LOVER%_}${VERSION}${SUBVER}
+ find icons/hicolor -path "*apps*" -name "*.png" | while read LINE
+ do
+ mkdir -p $PKG/usr/share/$(dirname $LINE)
+ install -m0644 $LINE $PKG/usr/share/$(dirname $LINE)/${PRGNAM}-$(basename $LINE)
+ done
+)
+sed -i -e "s/^Icon=ooo-/Icon=${PRGNAM}-/" $PKG/usr/share/applications/*.desktop
+
+# Fix the call to the program name in desktop entries (3.3.0.3 needs this):
if [ ! -f $PKG/usr/bin/oowriter ]; then
sed -i -e "s/Exec=oo/Exec=lo/g" $PKG/usr/share/applications/*.desktop
fi